#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sys
%define		pnam	Mmap
Summary:	Sys::Mmap - Perl module that allows to use mmap to map in a file as a Perl variable
Name:		perl-Sys-Mmap
Version:	0.16
Release:	2
# sae as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	faae869e876fa86f92e6de3f13af3aef
URL:		http://search.cpan.org/dist/Sys-Mmap/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mmap - uses mmap to map in a file as a Perl variable.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorarch}/Sys/*.pm
%dir %{perl_vendorarch}/auto/Sys/Mmap
%attr(755,root,root) %{perl_vendorarch}/auto/Sys/Mmap/*.so
%{perl_vendorarch}/auto/Sys/Mmap/*.bs
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sys-Mmap.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4ecd9af
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 822edec
- up to 0.16

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b9f1952
- release 2

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f7155a
- initial

